void DoLensFlare(inout vec3 color, vec3 viewPos) {
    float VdotS = dot(normalize(viewPos), sunVec);
    float VdotSM = pow2(pow2(pow2(max0(VdotS)))) * 0.1;

    vec4 clipPosSun = gbufferProjection * vec4(sunVec, 1.0);
    vec3 screenPosSun = clipPosSun.xyz / clipPosSun.w * 0.5 + 0.5;
	screenPosSun.z = texture2D(depthtex0, screenPosSun.xy).r;
    /*vec4 viewPosSun = gbufferProjectionInverse * vec4(screenPosSun * 2.0 - 1.0, 1.0);
    viewPosSun /= viewPosSun.w;*/

    if (screenPosSun.z < 1.0) VdotSM = 0.0;
    #ifdef CLOUDS_REIMAGINED
	    float cloudLinearDepth = texture2D(colortex4, screenPosSun.xy).r;
        if (cloudLinearDepth != 1.0) VdotSM = 0.0;
    #endif

    color.rgb += VdotSM;
}